Bug 244121 - rhn-manage-channel doesn't transmit Product name
Summary: rhn-manage-channel doesn't transmit Product name
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Backend (Show other bugs)
(Show other bugs)
Version: RHN Stable
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Bryan Kearney
QA Contact: Dennis Gregorovic
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 239809
TreeView+ depends on / blocked
 
Reported: 2007-06-13 22:12 UTC by James Bowes
Modified: 2013-01-10 09:53 UTC (History)
2 users (show)

Fixed In Version: 5.0.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-25 20:25:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Bowes 2007-06-13 22:12:07 UTC
rhn-manage-channel doesn't send up the product name (params key 'os') to the
server. The server defaults to calling everything 'Red Hat Linux' in
distchannelmap, which means that the uniqueness constraint will be violated.

Comment 1 James Bowes 2007-06-19 16:41:52 UTC
To test, install a recent version of rhn-content-mgmt-internal, and run
rhn-manage-channel-internal --cvs=CSV_FILE --update --commit

where CSV_FILE could contain something like:
"Should parse","Comment","Channel Label","Channel Parent","Channel
Family","Arch","Owner","Channel name","Channel Summary","Channel
Description","redhat-release","Version","Release","GPG key URL","GPG key
ID","GPG key Fingerprint","End Of Life","Version","Product","Beta","Repository"
,,,,,,,,,,,,,,,,,,,,
1,,"rhgd-i386-client-1",,"rhgd-client","ia32",,"Red Hat Global Desktop (v. 1 for
32-bit x86)","Red Hat Global Desktop (v. 1 for 32-bit x86)","Red Hat Global
Desktop (v. 1 for 32-bit x86)","rhgd-release",10,5,,,,,10,"Red Hat Global
Desktop","Production",

(this is the latest rhgd mapping with version set to 10)

The command should not error out, and successfully update the mappings. You can
confirm by looking in the rhndistchannelmap table, where product = 'Red Hat
Global Desktop'

Comment 2 Dennis Gregorovic 2007-06-21 03:04:31 UTC
$ rpm -qf /usr/bin/rhn-manage-channel-internal
rhn-content-mgmt-internal-0.2.6-1

confirmed.

Comment 3 James Bowes 2007-07-25 15:16:56 UTC
rhn502 released.

Comment 4 James Bowes 2007-07-25 20:25:07 UTC
rhn502 is released


Note You need to log in before you can comment on or make changes to this bug.